#
# spec file for package python-gitdb2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-gitdb2
Version:        2.0.6
Release:        lp152.1.1
Summary:        Git Object Database
License:        BSD-3-Clause
URL:            https://github.com/gitpython-developers/gitdb
Source:         https://files.pythonhosted.org/packages/source/g/gitdb2/gitdb2-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools >= 0.8.5}
BuildRequires:  %{python_module smmap2 >= 2.0.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-smmap2 >= 2.0.0
%python_subpackages

%description
GitDB is a pure-Python git object database

%prep
%setup -q -n gitdb2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Package requires its own git tree in order to pass tests
#%%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc AUTHORS
%{python_sitelib}/gitdb*

%changelog
* Tue Oct  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.6:
  * minor bugfixes only
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.5:
  * Just few formating fixes
* Sat Jul 21 2018 arun@gmx.de
- specfile:
  * be more specific in %%file section
- update to version 2.0.4:
  * Update version just to get a new release signed with valid key
* Wed Jan 17 2018 toddrme2178@gmail.com
- update to version 2.0.3
* Tue Aug 15 2017 daniel.molkentin@suse.com
- update to version 2.0.2
- converted to singlespec
- moved to separate package due to source package rename
* Tue May  5 2015 benoit.monin@gmx.fr
- update to version 0.6.4:
  * no upstream changelog
- additional changes from version 0.6.1:
  * Fixed possibly critical error, see
    https://github.com/gitpython-developers/GitPython/issues/220
- additional changes from version 0.6.0:
  * Added support got python 3.X
  * Removed all async dependencies and all *_async versions of
    methods with it.
- remove python-async: now unneeded
- set a minimum version for python-smmap: required by upstream
- define python_sitearch only for SLE11
* Thu Nov 24 2011 saschpe@suse.de
- Set license to SDPX style (BSD-3-Clause)
- Remove outdated %%clean section
- Use upstream tarball
* Wed Jul  6 2011 alexandre@exatati.com.br
- Initial package (0.5.4) for openSUSE.
